ros-kilted-rcutils (6.9.8-1noble) noble; urgency=high

  * Add rcutils_raw_steady_time_now method for slew-free clock (#507 <https://github.com/ros2/rcutils/issues/507>) (#513 <https://github.com/ros2/rcutils/issues/513>)
  * Contributors: mergify[bot]

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 21 Aug 2025 22:00:00 -0000

ros-kilted-rcutils (6.9.7-1noble) noble; urgency=high

  * Revert "use getenv_s instead of getenv for Windows. (#499 <https://github.com/ros2/rcutils/issues/499>)" (#504 <https://github.com/ros2/rcutils/issues/504>) (#505 <https://github.com/ros2/rcutils/issues/505>)
    This reverts commit 46ab4d4eeb555a2e9e880157b97f0a867d3a256c.
    (cherry picked from commit 3a4beda924bfcf766803d25752cbbf911f445e99)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 13 Jul 2025 22:00:00 -0000

ros-kilted-rcutils (6.9.6-1noble) noble; urgency=high

  * Use getenv_s instead of getenv for Windows (#499 <https://github.com/ros2/rcutils/issues/499>) (#500 <https://github.com/ros2/rcutils/issues/500>)
  * Clean memory in test_process.cpp (backport #495 <https://github.com/ros2/rcutils/issues/495>) (#496 <https://github.com/ros2/rcutils/issues/496>)
  * Contributors: Alejandro Hernandez Cordero, Tomoya Fujita

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 06 Jul 2025 22:00:00 -0000

ros-kilted-rcutils (6.9.5-1noble) noble; urgency=high

  * Handle spaces in start_process arguments on Windows (#494 <https://github.com/ros2/rcutils/issues/494>)
  * Add utility functions for invoking a subprocess (#491 <https://github.com/ros2/rcutils/issues/491>) (#492 <https://github.com/ros2/rcutils/issues/492>)
  * Add rcutils_join function for concatenating strings (#490 <https://github.com/ros2/rcutils/issues/490>)
  * Switch to ament_cmake_ros_core package (#489 <https://github.com/ros2/rcutils/issues/489>)
  * Contributors: Alejandro Hernández Cordero, Michael Carroll, Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Apr 2025 22:00:00 -0000

ros-kilted-rcutils (6.9.4-1noble) noble; urgency=high

  * Cleanup error handling in rcutils. (#485 <https://github.com/ros2/rcutils/issues/485>)
  * Remove CODEOWNERS and mirror-rolling-to-master workflow. (#483 <https://github.com/ros2/rcutils/issues/483>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 01 Feb 2025 23:00:00 -0000

ros-kilted-rcutils (6.9.3-1noble) noble; urgency=high

  * Fix setting allocator to NULL. (#478 <https://github.com/ros2/rcutils/issues/478>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Oct 2024 22:00:00 -0000

ros-kilted-rcutils (6.9.2-1noble) noble; urgency=high

  * Add new API to set envar while specifying overwrite (#473 <https://github.com/ros2/rcutils/issues/473>)
  * Contributors: Yadu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 15 Sep 2024 22:00:00 -0000

ros-kilted-rcutils (6.9.1-1noble) noble; urgency=high

  * Remove completely unnecessary use of CLASSNAME. (#471 <https://github.com/ros2/rcutils/issues/471>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 28 Jul 2024 22:00:00 -0000

ros-kilted-rcutils (6.9.0-1noble) noble; urgency=high

  * load dll built by MINGW with lib prefix (#470 <https://github.com/ros2/rcutils/issues/470>)
  * add mingw support (#468 <https://github.com/ros2/rcutils/issues/468>)
  * Fix filesystem iteration on Windows (#469 <https://github.com/ros2/rcutils/issues/469>)
  * Add 'mimick' label to tests which use Mimick (#466 <https://github.com/ros2/rcutils/issues/466>)
  * Contributors: Chris Lalancette, Felix F Xu, Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 16 Jun 2024 22:00:00 -0000

ros-kilted-rcutils (6.8.0-1noble) noble; urgency=high

  * Removed warnings - strict-prototypes (#461 <https://github.com/ros2/rcutils/issues/461>)
  * Increase timeout repl_str test (#463 <https://github.com/ros2/rcutils/issues/463>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 25 Apr 2024 22:00:00 -0000

ros-kilted-rcutils (6.7.0-1noble) noble; urgency=high

  * validate the allocator before use. (#455 <https://github.com/ros2/rcutils/issues/455>)
    * validate the allocator before use.
    * address review comments.
    - validate allocator only if the function specifically uses.
    - argument null check comes before validation of value.
    ---------
  * Contributors: Tomoya Fujita

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Apr 2024 22:00:00 -0000

ros-kilted-rcutils (6.6.0-1noble) noble; urgency=high

  * feat: Add human readable date to logging formats (#441 <https://github.com/ros2/rcutils/issues/441>)
  * Updates for uncrustify 0.78. (#454 <https://github.com/ros2/rcutils/issues/454>)
  * Set hints to find the python version we actually want. (#451 <https://github.com/ros2/rcutils/issues/451>)
  * Bring ament_add_gtest/target_link_libraries back together (#452 <https://github.com/ros2/rcutils/issues/452>)
  * Change 'ROS2' to 'ROS 2' in quality declaration (#453 <https://github.com/ros2/rcutils/issues/453>)
  * Allow parsing of escape sequence in log format (#443 <https://github.com/ros2/rcutils/issues/443>)
  * Contributors: Chris Lalancette, Christophe Bedard, Kaju-Bubanja, Marc Bestmann

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-kilted-rcutils (6.5.2-1noble) noble; urgency=high

  * Clean up unused references to mimick/mocking in tests (#450 <https://github.com/ros2/rcutils/issues/450>)
  * Fix if(TARGET ...) condition for test (#447 <https://github.com/ros2/rcutils/issues/447>)
  * Zero-initialize rcutils_string_array_t in test_string_array (#446 <https://github.com/ros2/rcutils/issues/446>)
  * Use rcutils_string_array_init in rcutils_split & handle alloc fail (#445 <https://github.com/ros2/rcutils/issues/445>)
  * Contributors: Christophe Bedard

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-kilted-rcutils (6.5.1-1noble) noble; urgency=high

  * Make rcutils_split() return RCUTILS_RET_BAD_ALLOC if alloc fails (#444 <https://github.com/ros2/rcutils/issues/444>)
  * Contributors: Christophe Bedard

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-kilted-rcutils (6.5.0-1noble) noble; urgency=high

  * Remove two last uses of ament_target_dependencies. (#440 <https://github.com/ros2/rcutils/issues/440>)
  * time_win32: Update dead link (#438 <https://github.com/ros2/rcutils/issues/438>)
  * Contributors: Chris Lalancette, Silvio Traversaro

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-kilted-rcutils (6.4.1-1noble) noble; urgency=high

  * memmove for overlaping memory (#434 <https://github.com/ros2/rcutils/issues/434>)
  * Contributors: Tyler Weaver

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-kilted-rcutils (6.4.0-1noble) noble; urgency=high

  * make escape characters work (#426 <https://github.com/ros2/rcutils/issues/426>)
  * Contributors: Chen Lihui

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-kilted-rcutils (6.3.1-1noble) noble; urgency=high

  * Remove unused 'max' functions from sha256.c (#429 <https://github.com/ros2/rcutils/issues/429>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-kilted-rcutils (6.3.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-kilted-rcutils (6.2.1-1noble) noble; urgency=high

  * fix memory leak (#423 <https://github.com/ros2/rcutils/issues/423>)
  * Contributors: Chen Lihui

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 22:00:00 -0000

ros-kilted-rcutils (6.2.0-1noble) noble; urgency=high

  * Add convenience error handling macros (#421 <https://github.com/ros2/rcutils/issues/421>)
  * Calculate the next power-of-two for the user in hash_map_init. (#420 <https://github.com/ros2/rcutils/issues/420>)
  * update cast to modern style (#418 <https://github.com/ros2/rcutils/issues/418>)
  * Remove deprecated header get_env.h (#417 <https://github.com/ros2/rcutils/issues/417>)
  * Updates to rcutils to make rosdoc2 generation happier. (#416 <https://github.com/ros2/rcutils/issues/416>)
  * add RCUTILS_LOGGING_AUTOINIT_WITH_ALLOCATOR. (#415 <https://github.com/ros2/rcutils/issues/415>)
  * Fix memory leak in string_map.c in rcutils (#411 <https://github.com/ros2/rcutils/issues/411>)
  * avoid unnecessary copy for rcutils_char_array_vsprintf. (#412 <https://github.com/ros2/rcutils/issues/412>)
  * Contributors: Chris Lalancette, Emerson Knapp, Mario Prats, Nikolai Morin, Tomoya Fujita, methylDragon

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-kilted-rcutils (6.1.1-1noble) noble; urgency=high

  * Add missing stddef include for size_t (#410 <https://github.com/ros2/rcutils/issues/410>)
  * Contributors: Emerson Knapp

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 23 Feb 2023 23:00:00 -0000

ros-kilted-rcutils (6.1.0-1noble) noble; urgency=high

  * Add SHA256 utility implementation (#408 <https://github.com/ros2/rcutils/issues/408>)
  * Upgrade rcutils to C++17. (#392 <https://github.com/ros2/rcutils/issues/392>)
  * [rolling] Update maintainers - 2022-11-07 (#404 <https://github.com/ros2/rcutils/issues/404>)
  * Contributors: Audrow Nash, Chris Lalancette, Emerson Knapp

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 12 Feb 2023 23:00:00 -0000

ros-kilted-rcutils (6.0.1-1noble) noble; urgency=high

  * Fix build on OpenHarmony (#395 <https://github.com/ros2/rcutils/issues/395>)
  * regression of thread-safety for logging macros (#393 <https://github.com/ros2/rcutils/issues/393>)
  * add portable nonnull macros (#382 <https://github.com/ros2/rcutils/issues/382>)
  * Fix memory leak when adding the same key to the logger hash map multiple times (#391 <https://github.com/ros2/rcutils/issues/391>)
  * time_unix: uses ZEPHYR_VERSION_CODE instead (#390 <https://github.com/ros2/rcutils/issues/390>)
  * Cleanup time_unix.c (#389 <https://github.com/ros2/rcutils/issues/389>)
  * time_unix: namespace zephyr headers (#383 <https://github.com/ros2/rcutils/issues/383>)
  * Restrict overmatching MACH ifdef to only trigger on OSX and Mach (#386 <https://github.com/ros2/rcutils/issues/386>)
  * Contributors: AIxWall, Chris Lalancette, Felipe Neves, Jacob Perron, Maximilian Downey Twiss, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-kilted-rcutils (6.0.0-1noble) noble; urgency=high

  * Optimize rcutils_logging_get_logger_effective_level() (#381 <https://github.com/ros2/rcutils/issues/381>)
  * Change syntax __VAR_ARGS__ to __VA_ARGS__ (#376 <https://github.com/ros2/rcutils/issues/376>)
  * Fix a bug in hash_map_get_next_key_and_data. (#375 <https://github.com/ros2/rcutils/issues/375>)
  * More fixes from review.
  * Fixes from review.
  * Make g_rcutils_logging_output_handler static.
  * Make g_rcutils_logging_default_logger_level static.
  * Optimize rcutils_find_lastn where possible.
  * Don't bother computing the hash_map key if the hash map is empty.
  * Make sure to expand char_array by at least 1.5x.
  * Optimize index computation in hash_map_find.
  * Improve the performance of rcutils_logging_format_message. (#372 <https://github.com/ros2/rcutils/issues/372>)
  * Get rid of unnecessary ret variable.
  * Get rid of unnecessary ifdef cplusplus checks in the C file.
  * Get rid of unnecessary rcutils_custom_add_{gtest,gmock}
  * Get rid of unnecessary and unused RMW switching for logging tests.
  * Remove unnecessary IS_OUTPUT_COLORIZED macro.
  * Rename logging internal structures to use our new convention.
  * Make all of the logging 'expand' methods static.
  * Fix up error checking for RCUTILS_CONSOLE_STDOUT_LINE_BUFFERED.
  * Cleanup error handling for the RCUTILS_CONSOLE_OUTPUT_FORMAT checks.
  * Revamp error handling in rcutils_logging_initialize_with_allocator.
  * Revamp rcutils_logging_initialize_with_allocator.
  * Make a few logging global variables static.
  * Optimize calls via the RCUTILS_LOG macros. (#369 <https://github.com/ros2/rcutils/issues/369>)
  * time_unix: add zephyr posix time (#368 <https://github.com/ros2/rcutils/issues/368>)
  * Optimize the implementation of rcutils_char_array_strncpy. (#367 <https://github.com/ros2/rcutils/issues/367>)
  * strdup.c: fix arbitrary length overread (#366 <https://github.com/ros2/rcutils/issues/366>)
  * Mirror rolling to master
  * strdup.c: fix 1 byte buffer overread (#363 <https://github.com/ros2/rcutils/issues/363>)
  * Clarify duration arg description in logging macros (#359 <https://github.com/ros2/rcutils/issues/359>)
  * Contributors: Abrar Rahman Protyasha, Audrow Nash, Chris Lalancette, Felipe Neves, Yakumoo, guijan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-kilted-rcutils (5.2.0-1noble) noble; urgency=high

  * Update rcutils_steady_time_now to return the same data as std::chrono (#357 <https://github.com/ros2/rcutils/issues/357>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-kilted-rcutils (5.1.1-1noble) noble; urgency=high

  * Update launch test for change related to enviroment variables in launch (#354 <https://github.com/ros2/rcutils/issues/354>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 30 Mar 2022 22:00:00 -0000

ros-kilted-rcutils (5.1.0-1noble) noble; urgency=high

  * Remove dst_size from strlen usage (#353 <https://github.com/ros2/rcutils/issues/353>)
  * Install headers to include${PROJECT_NAME} (#351 <https://github.com/ros2/rcutils/issues/351>)
  * Contributors: Jorge Perez, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-kilted-rcutils (5.0.1-1noble) noble; urgency=high

  * Use static_cast instead of C-style cast (#349 <https://github.com/ros2/rcutils/issues/349>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-kilted-rcutils (5.0.0-1noble) noble; urgency=high

  * Fixing up documentation build when using rosdoc2 (#344 <https://github.com/ros2/rcutils/issues/344>)
  * Stop double-defining structs. (#333 <https://github.com/ros2/rcutils/issues/333>)
  * Use FindPython3 explicitly instead of FindPythonInterp implicitly (#345 <https://github.com/ros2/rcutils/issues/345>)
  * Fix build on Android (#342 <https://github.com/ros2/rcutils/issues/342>)
  * Deprecate get_env.h and move content to env.{h,c} (#340 <https://github.com/ros2/rcutils/issues/340>)
  * Contributors: Chris Lalancette, Christophe Bedard, Ivan Santiago Paunovic, Shane Loretz, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 31 Oct 2021 23:00:00 -0000

ros-kilted-rcutils (4.0.2-1noble) noble; urgency=high

  * Declare dependency on libatomic (#338 <https://github.com/ros2/rcutils/issues/338>)
  * Contributors: Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 11 Apr 2021 22:00:00 -0000

ros-kilted-rcutils (4.0.1-1noble) noble; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#335 <https://github.com/ros2/rcutils/issues/335>)
  * Contributors: shonigmann

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kilted-rcutils (4.0.0-1noble) noble; urgency=high

  * Quiet down a warning in release mode. (#334 <https://github.com/ros2/rcutils/issues/334>)
  * Make the logging separate char an implementation detail. (#332 <https://github.com/ros2/rcutils/issues/332>)
  * Performance tests demo (#288 <https://github.com/ros2/rcutils/issues/288>)
  * Remove references of __xstat (#330 <https://github.com/ros2/rcutils/issues/330>)
  * Update the documentation to be more consistent. (#331 <https://github.com/ros2/rcutils/issues/331>)
  * Shorten some excessively long lines of CMake (#328 <https://github.com/ros2/rcutils/issues/328>)
  * qnx-support: include sys/link.h & avoid using dlinfo (#327 <https://github.com/ros2/rcutils/issues/327>)
  * QNX uses XSI-compliant (#326 <https://github.com/ros2/rcutils/issues/326>)
  * Contributors: Ahmed Sobhy, Chris Lalancette, Homalozoa X, Jorge Perez, Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-kilted-rcutils (3.1.0-1noble) noble; urgency=high

  * Add an API for directory iteration (#323 <https://github.com/ros2/rcutils/issues/323>)
  * Fix a leak during error handling in dir size calculation (#324 <https://github.com/ros2/rcutils/issues/324>)
  * Fix rcutils_shared_library_t path on Windows. (#322 <https://github.com/ros2/rcutils/issues/322>)
  * Check linker flags instead of assuming compiler correlation. (#321 <https://github.com/ros2/rcutils/issues/321>)
  * Improve shared library relative paths handling (#320 <https://github.com/ros2/rcutils/issues/320>)
  * Contributors: Michel Hidalgo, Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-kilted-rcutils (3.0.0-1noble) noble; urgency=high

  * Update rcutils_calculate_directory_size() to support recursion (#306 <https://github.com/ros2/rcutils/issues/306>)
  * Updating QD to QL 1 (#317 <https://github.com/ros2/rcutils/issues/317>)
  * Address unused return values found in scan-build (#316 <https://github.com/ros2/rcutils/issues/316>)
  * use one copy for continuous area instead of loop copy (#312 <https://github.com/ros2/rcutils/issues/312>)
  * use a better way to check whether string is empty (#315 <https://github.com/ros2/rcutils/issues/315>)
  * Use helper funciton to copy string (#314 <https://github.com/ros2/rcutils/issues/314>)
  * Disable a Windows platform warning. (#311 <https://github.com/ros2/rcutils/issues/311>)
  * Fix format of code description on document (#313 <https://github.com/ros2/rcutils/issues/313>)
  * Make sure to check the return values of rcutils APIs. (#302 <https://github.com/ros2/rcutils/issues/302>)
  * Contributors: Barry Xu, Chen Lihui, Chris Lalancette, Stephen Brawner

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Dec 2020 23:00:00 -0000

ros-kilted-rcutils (2.2.0-1noble) noble; urgency=high

  * Add rcutils_expand_user() to expand user directory in path (#298 <https://github.com/ros2/rcutils/issues/298>)
  * Update the maintainers. (#299 <https://github.com/ros2/rcutils/issues/299>)
  * Remove the temporary variable in RCUTILS_LOGGING_AUTOINIT (#290 <https://github.com/ros2/rcutils/issues/290>)
  * Contributors: Chris Lalancette, Christophe Bedard, Felix Endres

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 18 Oct 2020 22:00:00 -0000

ros-kilted-rcutils (2.1.0-1noble) noble; urgency=high

  * Add RCUTILS_NO_FAULT_INJECTION() macro. (#295 <https://github.com/ros2/rcutils/issues/295>)
  * Inject faults on rcutils_get_env() and rcutils_set_env() call. (#292 <https://github.com/ros2/rcutils/issues/292>)
  * env.h and get_env.h docblock fixes (#291 <https://github.com/ros2/rcutils/issues/291>)
  * Introduce rcutils_strcasecmp, case insensitive string compare. (#280 <https://github.com/ros2/rcutils/issues/280>)
  * Stop using fprintf to avoid using file handles by changing as few lines of code as possible. (#289 <https://github.com/ros2/rcutils/issues/289>)
  * Defines QNX implementation for rcutils_get_platform_library_name (#287 <https://github.com/ros2/rcutils/issues/287>)
  * Contributors: Ahmed Sobhy, Ivan Santiago Paunovic, Michel Hidalgo, tomoya

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 01 Oct 2020 22:00:00 -0000

ros-kilted-rcutils (2.0.0-1noble) noble; urgency=high

  * Add RCUTILS_CAN_SET_ERROR_MSG_AND_RETURN_WITH_ERROR_OF() macro. (#284 <https://github.com/ros2/rcutils/issues/284>)
    To fault inject error messages as well as return codes.
  * Change rcutils_fault_injection_set_count to use int64_t (#283 <https://github.com/ros2/rcutils/issues/283>)
  * adds QNX support for rcutils_get_executable_name (#282 <https://github.com/ros2/rcutils/issues/282>)
  * Add fault injection hooks to default allocator (#277 <https://github.com/ros2/rcutils/issues/277>)
  * Fault injection macros and functionality (plus example) (#264 <https://github.com/ros2/rcutils/issues/264>)
  * ensure -fPIC is used when building a static lib (#276 <https://github.com/ros2/rcutils/issues/276>)
  * Drop vsnprintf mocks entirely. (#275 <https://github.com/ros2/rcutils/issues/275>)
    Binary API is not portable across platforms and compilation config.
  * Fix vsnprintf mocks for Release builds. (#274 <https://github.com/ros2/rcutils/issues/274>)
  * Improve test coverage mocking system calls (#272 <https://github.com/ros2/rcutils/issues/272>)
  * Use mimick/mimick.h header (#273 <https://github.com/ros2/rcutils/issues/273>)
  * Add mock test for rcutils/strerror (#265 <https://github.com/ros2/rcutils/issues/265>)
  * Add compiler option -Wconversion and add explicit casts for conversions that may alter the value or change the sign (#263 <https://github.com/ros2/rcutils/issues/263>)
    See https://github.com/ros2/rcutils/pull/263#issuecomment-663252537.
  * Removed doxygen warnings (#266 <https://github.com/ros2/rcutils/issues/266>) (#268 <https://github.com/ros2/rcutils/issues/268>)
  * Removed doxygen warnings (#266 <https://github.com/ros2/rcutils/issues/266>)
  * Force _GNU_SOURCE if glibc is used. (#267 <https://github.com/ros2/rcutils/issues/267>)
  * Add parenthesis around the argument in time conversion macros defined in time.h (#261 <https://github.com/ros2/rcutils/issues/261>)
  * Contributors: Ahmed Sobhy, Alejandro Hernández Cordero, Dirk Thomas, Johannes Meyer, Jorge Perez, Michel Hidalgo, brawner

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Aug 2020 22:00:00 -0000

ros-kilted-rcutils (1.1.0-1noble) noble; urgency=high

  * Add token join macros (#262 <https://github.com/ros2/rcutils/issues/262>)
  * Add rcutils_string_array_sort function (#248 <https://github.com/ros2/rcutils/issues/248>)
  * Add rcutils_string_array_resize function (#247 <https://github.com/ros2/rcutils/issues/247>)
  * Increase testing coverage of rcutils to 95% (#258 <https://github.com/ros2/rcutils/issues/258>)
  * Update QUALITY_DECLARATION to reflect QL 2 status (#260 <https://github.com/ros2/rcutils/issues/260>)
  * Update version stability section of quality declaration for 1.0 (#256 <https://github.com/ros2/rcutils/issues/256>)
  * Contributors: Alejandro Hernández Cordero, Jorge Perez, Karsten Knese, Michel Hidalgo, Scott K Logan, Steven! Ragnarök, Stephen Brawner

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 25 Jun 2020 22:00:00 -0000

ros-kilted-rcutils (1.0.1-1noble) noble; urgency=high

  * Set appropriate size for buffered logging on Windows (logging.c) (#259 <https://github.com/ros2/rcutils/issues/259>)
  * Add Security Vulnerability Policy pointing to REP-2006
  * Updates to QD to be more like other ones
  * Contributors: Chris Lalancette, Stephen Brawner

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 02 Jun 2020 22:00:00 -0000

ros-kilted-rcutils (1.0.0-1noble) noble; urgency=high

  * Improved implementation and testing for empty ``rcutils_string_array_t`` (#246 <https://github.com/ros2/rcutils/issues/246>)
  * Contributors: Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-kilted-rcutils (0.9.2-1noble) noble; urgency=high

  * Move likely/unlikely macros from logging.h to macros.h (#253 <https://github.com/ros2/rcutils/issues/253>)
  * Add rcutils_set_env function (#250 <https://github.com/ros2/rcutils/issues/250>)
  * Reset error state after testing expected errors (#251 <https://github.com/ros2/rcutils/issues/251>)
  * Fix a link to REP-2004 (#245 <https://github.com/ros2/rcutils/issues/245>)
  * Contributors: Ivan Santiago Paunovic, Scott K Logan, Shota Aoki

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 21 May 2020 22:00:00 -0000

ros-kilted-rcutils (0.9.1-1noble) noble; urgency=high

  * Blast545/fix qd missing section (#243 <https://github.com/ros2/rcutils/issues/243>)
  * update rcutils_get_env to always use getenv (#237 <https://github.com/ros2/rcutils/issues/237>)
  * Contributors: Jorge Perez, Suyash Behera

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-kilted-rcutils (0.9.0-1noble) noble; urgency=high

  * Improved documentation (#225 <https://github.com/ros2/rcutils/issues/225>)
  * Increased test coverage (#224 <https://github.com/ros2/rcutils/issues/224>)
  * Set errno to EINVAL when explicitly returning -1 (#239 <https://github.com/ros2/rcutils/issues/239>)
  * Don't assume errno is set to 0 on success on Windows (#238 <https://github.com/ros2/rcutils/issues/238>)
  * Make sure to initialize buffers for logging testing (#233 <https://github.com/ros2/rcutils/issues/233>)
  * Add deprecated with message macro (#235 <https://github.com/ros2/rcutils/issues/235>)
  * Don't check GetLastError() on success (#236 <https://github.com/ros2/rcutils/issues/236>)
  * Add a RCUTILS_DEPRECATED macro to enable platform specific deprecation (#234 <https://github.com/ros2/rcutils/issues/234>)
  * Don't leak memory on realloc failing (#232 <https://github.com/ros2/rcutils/issues/232>)
  * Assume WIN32 HINSTANCE is a void * (#230 <https://github.com/ros2/rcutils/issues/230>)
  * Use ament_export_targets() (#228 <https://github.com/ros2/rcutils/issues/228>)
  * Add freebsd support (#223 <https://github.com/ros2/rcutils/issues/223>)
  * Added debug version for library names (#227 <https://github.com/ros2/rcutils/issues/227>)
  * Fixed condition in rcutils_get_platform_library_name (#226 <https://github.com/ros2/rcutils/issues/226>)
  * Added rcutils_is_shared_library_loaded function (#222 <https://github.com/ros2/rcutils/issues/222>)
  * Export interfaces in a addition to include directories / libraries (#221 <https://github.com/ros2/rcutils/issues/221>)
  * Included utils to load, unload and get symbols from shared libraries (#215 <https://github.com/ros2/rcutils/issues/215>)
  * Check and link against libatomic (#172 <https://github.com/ros2/rcutils/issues/172>) (#178 <https://github.com/ros2/rcutils/issues/178>)
  * Remove test for large allocation failure (#214 <https://github.com/ros2/rcutils/issues/214>)
  * Increase rcutils line testing coverage  (#208 <https://github.com/ros2/rcutils/issues/208>)
  * Don't both print with fprintf and RCUTILS_SET_ERROR_MSG. (#213 <https://github.com/ros2/rcutils/issues/213>)
  * All logging to the same stream (#196 <https://github.com/ros2/rcutils/issues/196>)
  * Style update to match uncrustify with explicit language (#210 <https://github.com/ros2/rcutils/issues/210>)
  * Add in a concurrent test to test_logging_output_format.py (#209 <https://github.com/ros2/rcutils/issues/209>)
  * Fix bug in split function (#206 <https://github.com/ros2/rcutils/issues/206>)
  * Fixes in comments (#207 <https://github.com/ros2/rcutils/issues/207>)
  * Code style only: wrap after open parenthesis if not in one line (#203 <https://github.com/ros2/rcutils/issues/203>)
  * Split visibility macro project independent logic (#194 <https://github.com/ros2/rcutils/issues/194>)
  * Increase max length of env var value on Windows to 32767 (#201 <https://github.com/ros2/rcutils/issues/201>)
  * Improve error message on Windows when rcutils_get_env fails (#200 <https://github.com/ros2/rcutils/issues/200>)
  * Fix filesystem tests to account for extra byte on Windows (#199 <https://github.com/ros2/rcutils/issues/199>)
  * Calculate file and directory size (#197 <https://github.com/ros2/rcutils/issues/197>)
  * Fix race in rcutils launch_tests (#193 <https://github.com/ros2/rcutils/issues/193>)
  * Changing default logging format to include timestamp (#190 <https://github.com/ros2/rcutils/issues/190>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Dirk Thomas, Jorge Perez, Karsten Knese, Peter Baughman, Scott K Logan, Shane Loretz, Steven Macenski, Thomas Moulard, Tully Foote, Michael Dodson

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 23 Apr 2020 22:00:00 -0000

ros-kilted-rcutils (0.8.4-1noble) noble; urgency=high

  * fix type of logging feature keys (#192 <https://github.com/ros2/rcutils/issues/192>)
  * Contributors: Dirk Thomas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 17 Nov 2019 23:00:00 -0000

ros-kilted-rcutils (0.8.3-1noble) noble; urgency=high

  * Fix uninitialized handle error (#187 <https://github.com/ros2/rcutils/issues/187>)
  * Use Win32 wrapper around 64 bit atomic operations (#186 <https://github.com/ros2/rcutils/issues/186>)
  * Contributors: Sean Kelly

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 11 Nov 2019 23:00:00 -0000

ros-kilted-rcutils (0.8.2-1noble) noble; urgency=high

  * Specify working directory for filesystem test (#185 <https://github.com/ros2/rcutils/issues/185>)
  * Make use of time source type for throttling logs (#183 <https://github.com/ros2/rcutils/issues/183>)
  * Remove ready_fn - will be replaced by ReadyToTest() (#184 <https://github.com/ros2/rcutils/issues/184>)
  * Contributors: Brian Marchi, Dan Rose, Peter Baughman

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-kilted-rcutils (0.8.1-1noble) noble; urgency=high

  * Implement rcutils_mkdir. (#166 <https://github.com/ros2/rcutils/issues/166>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Oct 2019 22:00:00 -0000

ros-kilted-rcutils (0.8.0-1noble) noble; urgency=high

  * Make g_rcutils_log_severity_names public and immutable. (#180 <https://github.com/ros2/rcutils/issues/180>)
  * use _WIN32 instead of WIN32 (#179 <https://github.com/ros2/rcutils/issues/179>)
  * Revert "check and link against libatomic (#172 <https://github.com/ros2/rcutils/issues/172>)" (#177 <https://github.com/ros2/rcutils/issues/177>)
  * check and link against libatomic (#172 <https://github.com/ros2/rcutils/issues/172>)
  * Rewrite test_logging_throttle tests: (#167 <https://github.com/ros2/rcutils/issues/167>)
  * Disable uncrustify indentation check for macros that use windows  __pragma (#164 <https://github.com/ros2/rcutils/issues/164>)
  * Fix armhf warning (#163 <https://github.com/ros2/rcutils/issues/163>)
  * Contributors: Christian Rauch, Dirk Thomas, Emerson Knapp, Michel Hidalgo, Shane Loretz, jpsamper2009

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 23 Sep 2019 22:00:00 -0000

ros-kilted-rcutils (0.7.3-1noble) noble; urgency=high

  * getprogname() is the correct API to use on Android. (#162 <https://github.com/ros2/rcutils/issues/162>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-kilted-rcutils (0.7.1-1noble) noble; urgency=high

  * Add function rcutils_string_array_cmp (#144 <https://github.com/ros2/rcutils/issues/144>)
  * Rename result variable for clarity. (#157 <https://github.com/ros2/rcutils/issues/157>)
  * Add in utilities needed for log location (#155 <https://github.com/ros2/rcutils/issues/155>)
  * remove macros from source file (#156 <https://github.com/ros2/rcutils/issues/156>)
  * Migrate launch tests to new launch_testing features & API (#140 <https://github.com/ros2/rcutils/issues/140>)
  * Use GCC extension for printf-like functions (#154 <https://github.com/ros2/rcutils/issues/154>)
  * Fix leak in test_logging.cpp (#153 <https://github.com/ros2/rcutils/issues/153>)
  * Fix leak in test_logging_macros.cpp (#152 <https://github.com/ros2/rcutils/issues/152>)
  * Fix remaining leaks in test_string_map.cpp (#151 <https://github.com/ros2/rcutils/issues/151>)
  * Fix a leak in test_array_list.cpp (#149 <https://github.com/ros2/rcutils/issues/149>)
  * Contributors: Chris Lalancette, Dirk Thomas, Jacob Perron, Michel Hidalgo, Steven! Ragnarök, Thomas Moulard

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 07 May 2019 22:00:00 -0000

ros-kilted-rcutils (0.7.0-1noble) noble; urgency=high

  * Fix ASAN failure in test_string_map.cpp (#147 <https://github.com/ros2/rcutils/issues/147>)
  * Add tests for stdatomic_helper.h and fix bugs (#150 <https://github.com/ros2/rcutils/issues/150>)
  * Windows messages when atomic type is unsupported (#145 <https://github.com/ros2/rcutils/issues/145>)
  * Use CMake property to determine when to use memory_tools. (#139 <https://github.com/ros2/rcutils/issues/139>)
  * Add section about DCO to CONTRIBUTING.md
  * Use ament_target_dependencies where possible. (#137 <https://github.com/ros2/rcutils/issues/137>)
  * Fix doc typo in string_map.h. (#138 <https://github.com/ros2/rcutils/issues/138>)
  * Add launch along with launch_testing as test dependencies. (#136 <https://github.com/ros2/rcutils/issues/136>)
  * Drops legacy launch API usage. (#134 <https://github.com/ros2/rcutils/issues/134>)
  * Contributors: Dirk Thomas, Jacob Perron, Michel Hidalgo, Shane Loretz, Steven! Ragnarök, Thomas Moulard, ivanpauno

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 12 Apr 2019 22:00:00 -0000

ros-kilted-rcutils (0.6.2-1noble) noble; urgency=high

  * Adding an ArrayList and HashMap implementation to rcutils (#131 <https://github.com/ros2/rcutils/issues/131>)
  * Change uncrustify max line length to 0 (#133 <https://github.com/ros2/rcutils/issues/133>)
  * Contributors: Jacob Perron, Nick Burek

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 06 Feb 2019 23:00:00 -0000

ros-kilted-rcutils (0.6.1-1noble) noble; urgency=high

  * Logging (#127 <https://github.com/ros2/rcutils/issues/127>)
  * fixes to support including in c++ and fetch_add (#129 <https://github.com/ros2/rcutils/issues/129>)
  * reiterate over char array (#130 <https://github.com/ros2/rcutils/issues/130>)
  * add rcutils_unsigned_char_array_t (#125 <https://github.com/ros2/rcutils/issues/125>)
  * Contributors: Karsten Knese, Nick Burek, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 05 Dec 2018 23:00:00 -0000

ros-kilted-rcutils (0.6.0-1noble) noble; urgency=high

  * Added rcutils_to_native_path function (#119 <https://github.com/ros2/rcutils/issues/119>)
  * Moved stdatomic helper to rcutils (#126 <https://github.com/ros2/rcutils/issues/126>)
  * Fixed warning in release build due to assert (#124 <https://github.com/ros2/rcutils/issues/124>)
  * Updated to avoid dynamic memory allocation during error handling (#121 <https://github.com/ros2/rcutils/issues/121>)
  * Added macro semicolons (#120 <https://github.com/ros2/rcutils/issues/120>)
  * Added LL suffix to avoid c4307 (#118 <https://github.com/ros2/rcutils/issues/118>)
  * Updated to use the same allocator to free allocated message (#115 <https://github.com/ros2/rcutils/issues/115>)
  * Renamed rcutils_serialized_message -> rcutils_char_array (#111 <https://github.com/ros2/rcutils/issues/111>)
  * Moved serialized_message from rmw (#110 <https://github.com/ros2/rcutils/issues/110>)
  * Updated to verify that the requested allocation size does not overflow. (#109 <https://github.com/ros2/rcutils/issues/109>)
  * Contributors: Chris Lalancette, Jacob Perron, Karsten Knese, Mikael Arguedas, Ruffin, Shane Loretz, Todd Malsbary, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 15 Nov 2018 23:00:00 -0000

ros-kilted-rcutils (0.5.1-1noble) noble; urgency=high

  * Removed redundant stat() call (#108 <https://github.com/ros2/rcutils/pull/108>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 27 Jun 2018 22:00:00 -0000

ros-kilted-rcutils (0.5.0-1noble) noble; urgency=high

  * Audited use of malloc/realloc/calloc/free to make sure it always goes through an ``rcutils_allocator_t`` (#102 <https://github.com/ros2/rcutils/issues/102>)
  * Added ability to include a timestamp when a console logging message happens (#85 <https://github.com/ros2/rcutils/issues/85>)
  * Updated to use new memory_tools from osrf_testing_tools_cpp (#101 <https://github.com/ros2/rcutils/issues/101>)
  * Fixed a possible bug by preventing the default logger's level from being unset (#106 <https://github.com/ros2/rcutils/issues/106>)
  * Updated to use launch.legacy instead of launch (now used for new launch system) (#105 <https://github.com/ros2/rcutils/issues/105>)
  * Fixed a memory check issue in ``split.c`` (#104 <https://github.com/ros2/rcutils/issues/104>)
    * Signed-off-by: testkit <mailto:cathy.shen@intel.com>
  * Added ``RCUTILS_CONSOLE_STDOUT_LINE_BUFFERED`` to control flusing of output from the default output handler of the logging macros. (#98 <https://github.com/ros2/rcutils/issues/98>)
  * Can now control shared/static linking via BUILD_SHARED_LIBS (#94 <https://github.com/ros2/rcutils/issues/94>)
  * Addressed some MISRA C compliance issues (#91 <https://github.com/ros2/rcutils/issues/91>)
  * Fixed a steady time overflow issue (#87 <https://github.com/ros2/rcutils/issues/87>)
  * Changed rcutils_time_point_value_t type from uint64_t to int64_t (#84 <https://github.com/ros2/rcutils/issues/84>)
  * Fixed out-of-bounds read issue (#83 <https://github.com/ros2/rcutils/issues/83>)
    * Signed-off-by: Ethan Gao <mailto:ethan.gao@linux.intel.com>
  * Contributors: Dirk Thomas, Ethan Gao, Michael Carroll, Mikael Arguedas, Sagnik Basu, Shane Loretz, William Woodall, cshen, dhood, serge-nikulin

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 19 Jun 2018 22:00:00 -0000


